Page MenuHomePhabricator

Termshark • A terminal UI for tshark, inspired by Wireshark
Closed, WontfixPublicFEATURE REQUEST

Description

tshark on it's own is sorta obnoxious for general purpose "just looking" type quick looks at live traces. Termshark is a command line UI for tshark that tries to emulate the wireshark UI.

This might be interesting, but maybe a bit too much?

Termshark

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

Asteroza created this task.Apr 25 2019, 3:27 AM
c-po added a subscriber: c-po.Apr 25 2019, 7:13 AM

I'm not a fan of cluttering the OS too much, there are two much better ways

  • either record the conversation with tshark on the commandline for later processing
  • directly feed your desktop Wireshark from it which is also possible and supported
pasik added a subscriber: pasik.Apr 28 2019, 9:58 AM
syncer closed this task as Wontfix.Aug 31 2019, 12:42 AM
syncer claimed this task.
syncer edited projects, added Rejected; removed VyOS 1.3 Equuleus, VyOS 1.2 Crux.